package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Produk;
import com.jasamedika.medifirst2000.entities.RegistrasiAset;

public class PerbaikanVO extends BaseTransactionVO {
	
	private String noRecOrder;
	
	private JenisPekerjaanVO jenisPekerjaan;
	
	private String keteranganRespon;
	
	private String namaTeknisi;
	
	private RekananSkKontrakVO rekanananSkKontrakVO;
	
	private RekananSkKontrakDetailVO rekananSkKontrakDetail;

	private Date tglDiperiksa;
	
	private String jenisKerusakan;
	
	private String analisaKerusakan;
	
	private StatusPekerjaanVO statusPekerjaan;
	
	private AsalSukuCadangVO asalSukuCadang;
	
	private String keterangan;
	
	//add by iwankasan
	//date : 19.01.2018
	private RegistrasiAsetVO registrasiAset;
	private ProdukVO produk;
	private String noOrderPelayan;
	
	@OneToMany
	private List<PlanningPelayananPetugasVO> teknisi = new ArrayList<PlanningPelayananPetugasVO>();

	public List<PlanningPelayananPetugasVO> getTeknisi() {
		return teknisi;
	}

	public void setTeknisi(List<PlanningPelayananPetugasVO> teknisi) {
		this.teknisi = teknisi;
	}

	public String getNoRecOrder() {
		return noRecOrder;
	}

	public void setNoRecOrder(String noRecOrder) {
		this.noRecOrder = noRecOrder;
	}


	public JenisPekerjaanVO getJenisPekerjaan() {
		return jenisPekerjaan;
	}

	public void setJenisPekerjaan(JenisPekerjaanVO jenisPekerjaan) {
		this.jenisPekerjaan = jenisPekerjaan;
	}

	public String getKeteranganRespon() {
		return keteranganRespon;
	}

	public void setKeteranganRespon(String keteranganRespon) {
		this.keteranganRespon = keteranganRespon;
	}

	public String getNamaTeknisi() {
		return namaTeknisi;
	}

	public void setNamaTeknisi(String namaTeknisi) {
		this.namaTeknisi = namaTeknisi;
	}

	public RekananSkKontrakVO getRekanananSkKontrakVO() {
		return rekanananSkKontrakVO;
	}

	public void setRekanananSkKontrakVO(RekananSkKontrakVO rekanananSkKontrakVO) {
		this.rekanananSkKontrakVO = rekanananSkKontrakVO;
	}

	public RekananSkKontrakDetailVO getRekananSkKontrakDetail() {
		return rekananSkKontrakDetail;
	}

	public void setRekananSkKontrakDetail(RekananSkKontrakDetailVO rekananSkKontrakDetail) {
		this.rekananSkKontrakDetail = rekananSkKontrakDetail;
	}

	public Date getTglDiperiksa() {
		return tglDiperiksa;
	}

	public void setTglDiperiksa(Date tglDiperiksa) {
		this.tglDiperiksa = tglDiperiksa;
	}

	public String getJenisKerusakan() {
		return jenisKerusakan;
	}

	public void setJenisKerusakan(String jenisKerusakan) {
		this.jenisKerusakan = jenisKerusakan;
	}

	public String getAnalisaKerusakan() {
		return analisaKerusakan;
	}

	public void setAnalisaKerusakan(String analisaKerusakan) {
		this.analisaKerusakan = analisaKerusakan;
	}

	public StatusPekerjaanVO getStatusPekerjaan() {
		return statusPekerjaan;
	}

	public void setStatusPekerjaan(StatusPekerjaanVO statusPekerjaan) {
		this.statusPekerjaan = statusPekerjaan;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public AsalSukuCadangVO getAsalSukuCadang() {
		return asalSukuCadang;
	}

	public void setAsalSukuCadang(AsalSukuCadangVO asalSukuCadang) {
		this.asalSukuCadang = asalSukuCadang;
	}

	public RegistrasiAsetVO getRegistrasiAset() {
		return registrasiAset;
	}

	public void setRegistrasiAset(RegistrasiAsetVO registrasiAset) {
		this.registrasiAset = registrasiAset;
	}

	public ProdukVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	public String getNoOrderPelayan() {
		return noOrderPelayan;
	}

	public void setNoOrderPelayan(String noOrderPelayan) {
		this.noOrderPelayan = noOrderPelayan;
	}
	
	
	
	
}
